package com.yonge.netty.dto;

public class ChunkAnalysis {

	private double startTime;

	private double endTime;

	private double durationTime;

	private double frequency;

	private int splDb;

	private int power;
	
	private int amplitude;
	
	private boolean isPeak;

	public ChunkAnalysis(double startTime, double endTime, double frequency, int splDb, int power, int amplitude) {
		this.startTime = startTime;
		this.endTime = endTime;
		this.frequency = frequency;
		this.splDb = splDb;
		this.power = power;
		this.amplitude = amplitude;
		this.durationTime = endTime - startTime;
	}

	public ChunkAnalysis(double frequency, int splDb, int power) {
		this.frequency = frequency;
		this.splDb = splDb;
		this.power = power;
	}

	public double getStartTime() {
		return startTime;
	}

	public void setStartTime(double startTime) {
		this.startTime = startTime;
	}

	public double getEndTime() {
		return endTime;
	}

	public void setEndTime(double endTime) {
		this.endTime = endTime;
	}

	public double getDurationTime() {
		return durationTime;
	}

	public void setDurationTime(double durationTime) {
		this.durationTime = durationTime;
	}

	public double getFrequency() {
		return frequency;
	}

	public void setFrequency(double frequency) {
		this.frequency = frequency;
	}

	public int getSplDb() {
		return splDb;
	}

	public void setSplDb(int splDb) {
		this.splDb = splDb;
	}

	public int getPower() {
		return power;
	}

	public void setPower(int power) {
		this.power = power;
	}

	public int getAmplitude() {
		return amplitude;
	}

	public void setAmplitude(int amplitude) {
		this.amplitude = amplitude;
	}

	public boolean isPeak() {
		return isPeak;
	}

	public void setPeak(boolean isPeak) {
		this.isPeak = isPeak;
	}
}
